Delete a user
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Delete user.
When deleted, user resources are moved to a temporary container and can be restored within 30 days. After that time, they are permanently deleted. To learn more, see deletedItems.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | User.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | User.ReadWrite.All |
The calling user or app must be assigned one of the following Azure AD roles:
- Global Administrator
- User Administrator
Only a Global Administrator can delete a user in a Global Administrator role or any user in the tenant. A User Administrator can only delete users who are non-administrators or in specific limited roles. For more details, see Administrator role permissions in Azure AD.
HTTP request
DELETE /users/{id | userPrincipalName}
Request headers
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns 204 No Content response code. It does not return anything in the response body.
Example
Request
The following is an example of a request.
DELETE https://graph.microsoft.com/beta/users/ba9a3254-9f18-4209-aeb3-9e42a35b5be4
Response
The following is an example of the response.
HTTP/1.1 204 No Content
Feedback
Submit and view feedback for